/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class BulletGraphDescription extends Description {
    constructor() {
        super();
        this.cf = null;
        this.v = 0;
        this.ch = null;
        this.cg = null;
        this.cv = null;
        this.cj = null;
        this.ca = null;
        this.ax = 0;
        this.cl = null;
        this.cm = null;
        this.cn = null;
        this.ak = 0;
        this.h = null;
        this.f = null;
        this.g = null;
        this.ac = 0;
        this.q = 0;
        this.ab = 0;
        this.p = 0;
        this.an = 0;
        this.cp = null;
        this.ay = 0;
        this.ct = null;
        this.ai = 0;
        this.aj = 0;
        this.az = 0;
        this.a0 = 0;
        this.w = 0;
        this.at = 0;
        this.au = 0;
        this.y = 0;
        this.x = 0;
        this.z = 0;
        this.aa = 0;
        this.ad = 0;
        this.av = 0;
        this.as = 0;
        this.aw = 0;
        this.cr = null;
        this.ce = null;
        this.cs = null;
        this.cu = null;
        this.a1 = 0;
        this.af = 0;
        this.ae = 0;
        this.ag = 0;
        this.ck = null;
        this.l = false;
        this.cb = null;
        this.cc = null;
        this.u = 0;
        this.s = 0;
        this.t = 0;
        this.am = 0;
        this.al = 0;
        this.co = null;
        this.ao = 0;
        this.ap = 0;
        this.aq = 0;
        this.cq = null;
        this.ar = 0;
        this.b6 = 0;
        this.b5 = 0;
        this.m = false;
        this.cd = null;
        this.ah = 0;
        this.r = 0;
        this.ci = null;
        this.b9 = null;
    }
    get fontFamily() {
        return this.cf;
    }
    set fontFamily(a) {
        this.cf = a;
        this.e("FontFamily");
    }
    get fontSize() {
        return this.v;
    }
    set fontSize(a) {
        this.v = a;
        this.e("FontSize");
    }
    get fontWeight() {
        return this.ch;
    }
    set fontWeight(a) {
        this.ch = a;
        this.e("FontWeight");
    }
    get fontStyle() {
        return this.cg;
    }
    set fontStyle(a) {
        this.cg = a;
        this.e("FontStyle");
    }
    get width() {
        return this.cv;
    }
    set width(a) {
        this.cv = a;
        this.e("Width");
    }
    get height() {
        return this.cj;
    }
    set height(a) {
        this.cj = a;
        this.e("Height");
    }
    get background() {
        return this.ca;
    }
    set background(a) {
        this.ca = a;
        this.e("Background");
    }
    get_type() {
        return "BulletGraph";
    }
    get type() {
        return this.get_type();
    }
    get transitionProgress() {
        return this.ax;
    }
    set transitionProgress(a) {
        this.ax = a;
        this.e("TransitionProgress");
    }
    get orientation() {
        return this.cl;
    }
    set orientation(a) {
        this.cl = a;
        this.e("Orientation");
    }
    get scaleBackgroundBrush() {
        return this.cm;
    }
    set scaleBackgroundBrush(a) {
        this.cm = a;
        this.e("ScaleBackgroundBrush");
    }
    get scaleBackgroundOutline() {
        return this.cn;
    }
    set scaleBackgroundOutline(a) {
        this.cn = a;
        this.e("ScaleBackgroundOutline");
    }
    get scaleBackgroundThickness() {
        return this.ak;
    }
    set scaleBackgroundThickness(a) {
        this.ak = a;
        this.e("ScaleBackgroundThickness");
    }
    get ranges() {
        return this.h;
    }
    set ranges(a) {
        this.h = a;
        this.e("Ranges");
    }
    get rangeBrushes() {
        return this.f;
    }
    set rangeBrushes(a) {
        this.f = a;
        this.e("RangeBrushes");
    }
    get rangeOutlines() {
        return this.g;
    }
    set rangeOutlines(a) {
        this.g = a;
        this.e("RangeOutlines");
    }
    get minimumValue() {
        return this.ac;
    }
    set minimumValue(a) {
        this.ac = a;
        this.e("MinimumValue");
    }
    get actualMinimumValue() {
        return this.q;
    }
    set actualMinimumValue(a) {
        this.q = a;
        this.e("ActualMinimumValue");
    }
    get maximumValue() {
        return this.ab;
    }
    set maximumValue(a) {
        this.ab = a;
        this.e("MaximumValue");
    }
    get actualMaximumValue() {
        return this.p;
    }
    set actualMaximumValue(a) {
        this.p = a;
        this.e("ActualMaximumValue");
    }
    get targetValue() {
        return this.an;
    }
    set targetValue(a) {
        this.an = a;
        this.e("TargetValue");
    }
    get targetValueName() {
        return this.cp;
    }
    set targetValueName(a) {
        this.cp = a;
        this.e("TargetValueName");
    }
    get value() {
        return this.ay;
    }
    set value(a) {
        this.ay = a;
        this.e("Value");
    }
    get valueName() {
        return this.ct;
    }
    set valueName(a) {
        this.ct = a;
        this.e("ValueName");
    }
    get rangeInnerExtent() {
        return this.ai;
    }
    set rangeInnerExtent(a) {
        this.ai = a;
        this.e("RangeInnerExtent");
    }
    get rangeOuterExtent() {
        return this.aj;
    }
    set rangeOuterExtent(a) {
        this.aj = a;
        this.e("RangeOuterExtent");
    }
    get valueInnerExtent() {
        return this.az;
    }
    set valueInnerExtent(a) {
        this.az = a;
        this.e("ValueInnerExtent");
    }
    get valueOuterExtent() {
        return this.a0;
    }
    set valueOuterExtent(a) {
        this.a0 = a;
        this.e("ValueOuterExtent");
    }
    get interval() {
        return this.w;
    }
    set interval(a) {
        this.w = a;
        this.e("Interval");
    }
    get ticksPostInitial() {
        return this.at;
    }
    set ticksPostInitial(a) {
        this.at = a;
        this.e("TicksPostInitial");
    }
    get ticksPreTerminal() {
        return this.au;
    }
    set ticksPreTerminal(a) {
        this.au = a;
        this.e("TicksPreTerminal");
    }
    get labelInterval() {
        return this.y;
    }
    set labelInterval(a) {
        this.y = a;
        this.e("LabelInterval");
    }
    get labelExtent() {
        return this.x;
    }
    set labelExtent(a) {
        this.x = a;
        this.e("LabelExtent");
    }
    get labelsPostInitial() {
        return this.z;
    }
    set labelsPostInitial(a) {
        this.z = a;
        this.e("LabelsPostInitial");
    }
    get labelsPreTerminal() {
        return this.aa;
    }
    set labelsPreTerminal(a) {
        this.aa = a;
        this.e("LabelsPreTerminal");
    }
    get minorTickCount() {
        return this.ad;
    }
    set minorTickCount(a) {
        this.ad = a;
        this.e("MinorTickCount");
    }
    get tickStartExtent() {
        return this.av;
    }
    set tickStartExtent(a) {
        this.av = a;
        this.e("TickStartExtent");
    }
    get tickEndExtent() {
        return this.as;
    }
    set tickEndExtent(a) {
        this.as = a;
        this.e("TickEndExtent");
    }
    get tickStrokeThickness() {
        return this.aw;
    }
    set tickStrokeThickness(a) {
        this.aw = a;
        this.e("TickStrokeThickness");
    }
    get tickBrush() {
        return this.cr;
    }
    set tickBrush(a) {
        this.cr = a;
        this.e("TickBrush");
    }
    get fontBrush() {
        return this.ce;
    }
    set fontBrush(a) {
        this.ce = a;
        this.e("FontBrush");
    }
    get valueBrush() {
        return this.cs;
    }
    set valueBrush(a) {
        this.cs = a;
        this.e("ValueBrush");
    }
    get valueOutline() {
        return this.cu;
    }
    set valueOutline(a) {
        this.cu = a;
        this.e("ValueOutline");
    }
    get valueStrokeThickness() {
        return this.a1;
    }
    set valueStrokeThickness(a) {
        this.a1 = a;
        this.e("ValueStrokeThickness");
    }
    get minorTickStartExtent() {
        return this.af;
    }
    set minorTickStartExtent(a) {
        this.af = a;
        this.e("MinorTickStartExtent");
    }
    get minorTickEndExtent() {
        return this.ae;
    }
    set minorTickEndExtent(a) {
        this.ae = a;
        this.e("MinorTickEndExtent");
    }
    get minorTickStrokeThickness() {
        return this.ag;
    }
    set minorTickStrokeThickness(a) {
        this.ag = a;
        this.e("MinorTickStrokeThickness");
    }
    get minorTickBrush() {
        return this.ck;
    }
    set minorTickBrush(a) {
        this.ck = a;
        this.e("MinorTickBrush");
    }
    get isScaleInverted() {
        return this.l;
    }
    set isScaleInverted(a) {
        this.l = a;
        this.e("IsScaleInverted");
    }
    get backingBrush() {
        return this.cb;
    }
    set backingBrush(a) {
        this.cb = a;
        this.e("BackingBrush");
    }
    get backingOutline() {
        return this.cc;
    }
    set backingOutline(a) {
        this.cc = a;
        this.e("BackingOutline");
    }
    get backingStrokeThickness() {
        return this.u;
    }
    set backingStrokeThickness(a) {
        this.u = a;
        this.e("BackingStrokeThickness");
    }
    get backingInnerExtent() {
        return this.s;
    }
    set backingInnerExtent(a) {
        this.s = a;
        this.e("BackingInnerExtent");
    }
    get backingOuterExtent() {
        return this.t;
    }
    set backingOuterExtent(a) {
        this.t = a;
        this.e("BackingOuterExtent");
    }
    get scaleStartExtent() {
        return this.am;
    }
    set scaleStartExtent(a) {
        this.am = a;
        this.e("ScaleStartExtent");
    }
    get scaleEndExtent() {
        return this.al;
    }
    set scaleEndExtent(a) {
        this.al = a;
        this.e("ScaleEndExtent");
    }
    get targetValueBrush() {
        return this.co;
    }
    set targetValueBrush(a) {
        this.co = a;
        this.e("TargetValueBrush");
    }
    get targetValueBreadth() {
        return this.ao;
    }
    set targetValueBreadth(a) {
        this.ao = a;
        this.e("TargetValueBreadth");
    }
    get targetValueInnerExtent() {
        return this.ap;
    }
    set targetValueInnerExtent(a) {
        this.ap = a;
        this.e("TargetValueInnerExtent");
    }
    get targetValueOuterExtent() {
        return this.aq;
    }
    set targetValueOuterExtent(a) {
        this.aq = a;
        this.e("TargetValueOuterExtent");
    }
    get targetValueOutline() {
        return this.cq;
    }
    set targetValueOutline(a) {
        this.cq = a;
        this.e("TargetValueOutline");
    }
    get targetValueStrokeThickness() {
        return this.ar;
    }
    set targetValueStrokeThickness(a) {
        this.ar = a;
        this.e("TargetValueStrokeThickness");
    }
    get transitionDuration() {
        return this.b6;
    }
    set transitionDuration(a) {
        this.b6 = a;
        this.e("TransitionDuration");
    }
    get showToolTipTimeout() {
        return this.b5;
    }
    set showToolTipTimeout(a) {
        this.b5 = a;
        this.e("ShowToolTipTimeout");
    }
    get showToolTip() {
        return this.m;
    }
    set showToolTip(a) {
        this.m = a;
        this.e("ShowToolTip");
    }
    get font() {
        return this.cd;
    }
    set font(a) {
        this.cd = a;
        this.e("Font");
    }
    get pixelScalingRatio() {
        return this.ah;
    }
    set pixelScalingRatio(a) {
        this.ah = a;
        this.e("PixelScalingRatio");
    }
    get actualPixelScalingRatio() {
        return this.r;
    }
    set actualPixelScalingRatio(a) {
        this.r = a;
        this.e("ActualPixelScalingRatio");
    }
    get formatLabelRef() {
        return this.ci;
    }
    set formatLabelRef(a) {
        this.ci = a;
        this.e("FormatLabelRef");
    }
    get alignLabelRef() {
        return this.b9;
    }
    set alignLabelRef(a) {
        this.b9 = a;
        this.e("AlignLabelRef");
    }
}
BulletGraphDescription.$t = markType(BulletGraphDescription, 'BulletGraphDescription', Description.$);
